Skip to main content
Seedance 1.0 Pro Fast i2v is an image-to-video generation model from ByteDance’s Seedance series, available through AnyFast API. Use reference images as first frame (and last frame) to generate videos.

Key capabilities

  • Image-to-Video — Use reference images as first frame
  • Flexible Duration — 2–12 second videos
  • Multiple Ratios — 16:9, 4:3, 1:1, 3:4, 9:16, 21:9, adaptive
  • Multiple Resolutions — 480p, 720p, 1080p

Quick example

curl https://www.anyfast.ai/v1/video/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "doubao-seedance-1-0-pro-fast-251015",
    "content": [
      {"type": "text", "text": "The girl opens her eyes and looks at the camera gently"},
      {"type": "image_url", "image_url": {"url": "https://example.com/photo.jpg"}, "role": "first_frame"}
    ],
    "ratio": "adaptive",
    "duration": 5,
    "resolution": "720p"
  }'

Parameters

ParameterTypeRequiredDescription
modelstringYesMust be doubao-seedance-1-0-pro-fast-251015
contentarrayYesText item + image_url item(s) with role
ratiostringNoSupports adaptive. Default: 16:9
resolutionstringNo480p, 720p, 1080p. Default: 720p
durationintegerNo2–12 seconds. Default: 5
watermarkbooleanNoDefault: false
seedintegerNoRandom seed
camera_fixedbooleanNoDefault: false

API Reference

View the interactive API playground for Seedance 1.0 Pro Fast i2v.